back to article Node.js releases version 6.0. Yes, yes, LTS

The Node.js Foundation has released version 6, which now falls just seven per cent short of complete support for the ES6 specifications. The European Computer Manufacturer's Association's ECMAScript version 6 was released in 2015 as a trademarked specification for scripting languages, including JavaScript. It specifies core …

  1. Anonymous Coward
    Anonymous Coward

    What we need to know is...

    What version of leftpad() are they shipping?

  2. Anonymous Coward
    Anonymous Coward

    Firefox landed support for padStart very recently. No sign of it being added to v8 for a while though.

    Node is shoddy as hell for missing such a basic function from its standard library.

    1. Anonymous Coward
      Anonymous Coward

      Just to elaborate on that for my down-voter: npm is a dung heap with zero quality control, riddled with noobs, abandonware, and cargo-cult programming.

      Ha!

      1. Adam 52 Silver badge

        So how does that differ from everything else Javascript?

        1. Anonymous Coward
          Anonymous Coward

          Mr Doob's THREE.js is a pretty solid piece of code.

    2. captain veg

      padStart

      Thanks for the tip. Unlike the infamous leftPad, that one looks like it might actually work correctly for any combination of parameter values.

      -A.

  3. Mark Simon

    re ECMA

    ECMA changed its official name from the European Computer Manufacturers Association to ECMA International about 20 years ago.

    Just so you know …

  4. Anonymous Coward
    Anonymous Coward

    I'm a shit programmer

    > including "default and rest parameters, destructuring, class and super keywords."

    But I'm a big fan of deconstructivism so this looks right up my alley. It's also got class, and super keywords. Awesome keywords no doubt coming up in version 7. What more could one ask for?

    (I'm not very technical. I did meet a C programmer once though. He didn't bite anyone so I guess not all they say about them must be true)

  5. Andy E
    Unhappy

    Version?

    I'm not familiar with node.js but does "Version 6 also debuts equipped with the V8 JavaScript engine 5.0", mean that to run v6 node.js requires release 5.0 of the V8 JavaScript engine?

    I like to know what is being used to infect my PC.

POST COMMENT House rules

Not a member of The Register? Create a new account here.

  • Enter your comment

  • Add an icon

Anonymous cowards cannot choose their icon

Biting the hand that feeds IT © 1998–2019